| Flutter Windows Embedder |

Classes | Typedefs | Functions
flutter_windows.h File Reference
`#include <dxgi.h>`
`#include <stddef.h>`
`#include <stdint.h>`
`#include <windows.h>`
`#include "flutter_export.h"`
`#include "flutter_messenger.h"`
`#include "flutter_plugin_registrar.h"`

Go to the source code of this file.

## Classes
struct | FlutterDesktopEngineProperties

## Typedefs
typedef void(* | VoidCallback) (void *)
typedef struct FlutterDesktopViewControllerState * | FlutterDesktopViewControllerRef
typedef struct FlutterDesktopView * | FlutterDesktopViewRef
typedef struct FlutterDesktopEngine * | FlutterDesktopEngineRef
typedef bool(* | FlutterDesktopWindowProcCallback) (HWND, UINT, WPARAM, LPARAM, void *, LRESULT *result)

## Functions
FLUTTER_EXPORT FlutterDesktopViewControllerRef | FlutterDesktopViewControllerCreate (int width, int height, FlutterDesktopEngineRef engine)
FLUTTER_EXPORT void | FlutterDesktopViewControllerDestroy (FlutterDesktopViewControllerRef controller)
FLUTTER_EXPORT FlutterDesktopEngineRef | FlutterDesktopViewControllerGetEngine (FlutterDesktopViewControllerRef controller)
FLUTTER_EXPORT FlutterDesktopViewRef | FlutterDesktopViewControllerGetView (FlutterDesktopViewControllerRef controller)
FLUTTER_EXPORT void | FlutterDesktopViewControllerForceRedraw (FlutterDesktopViewControllerRef controller)
FLUTTER_EXPORT bool | FlutterDesktopViewControllerHandleTopLevelWindowProc (FlutterDesktopViewControllerRef controller, HWND hwnd, UINT message, WPARAM wparam, LPARAM lparam, LRESULT *result)
FLUTTER_EXPORT FlutterDesktopEngineRef | FlutterDesktopEngineCreate (const FlutterDesktopEngineProperties *engine_properties)
FLUTTER_EXPORT bool | FlutterDesktopEngineDestroy (FlutterDesktopEngineRef engine)
FLUTTER_EXPORT bool | FlutterDesktopEngineRun (FlutterDesktopEngineRef engine, const char *entry_point)
FLUTTER_EXPORT uint64_t | FlutterDesktopEngineProcessMessages (FlutterDesktopEngineRef engine)
FLUTTER_EXPORT void | FlutterDesktopEngineReloadSystemFonts (FlutterDesktopEngineRef engine)
FLUTTER_EXPORT FlutterDesktopPluginRegistrarRef | FlutterDesktopEngineGetPluginRegistrar (FlutterDesktopEngineRef engine, const char *plugin_name)
FLUTTER_EXPORT FlutterDesktopMessengerRef | FlutterDesktopEngineGetMessenger (FlutterDesktopEngineRef engine)
FLUTTER_EXPORT FlutterDesktopTextureRegistrarRef | FlutterDesktopEngineGetTextureRegistrar (FlutterDesktopEngineRef engine)
FLUTTER_EXPORT void | FlutterDesktopEngineSetNextFrameCallback (FlutterDesktopEngineRef engine, VoidCallback callback, void *user_data)
FLUTTER_EXPORT HWND | FlutterDesktopViewGetHWND (FlutterDesktopViewRef view)
FLUTTER_EXPORT IDXGIAdapter * | FlutterDesktopViewGetGraphicsAdapter (FlutterDesktopViewRef view)
FLUTTER_EXPORT bool | FlutterDesktopEngineProcessExternalWindowMessage (FlutterDesktopEngineRef engine, HWND hwnd, UINT message, WPARAM wparam, LPARAM lparam, LRESULT *result)
FLUTTER_EXPORT FlutterDesktopViewRef | FlutterDesktopPluginRegistrarGetView (FlutterDesktopPluginRegistrarRef registrar)
FLUTTER_EXPORT void | FlutterDesktopPluginRegistrarRegisterTopLevelWindowProcDelegate (FlutterDesktopPluginRegistrarRef registrar, FlutterDesktopWindowProcCallback delegate, void *user_data)
FLUTTER_EXPORT void | FlutterDesktopPluginRegistrarUnregisterTopLevelWindowProcDelegate (FlutterDesktopPluginRegistrarRef registrar, FlutterDesktopWindowProcCallback delegate)
FLUTTER_EXPORT UINT | FlutterDesktopGetDpiForHWND (HWND hwnd)
FLUTTER_EXPORT UINT | FlutterDesktopGetDpiForMonitor (HMONITOR monitor)
FLUTTER_EXPORT void | FlutterDesktopResyncOutputStreams ()

## Typedef Documentation

## ◆ FlutterDesktopEngineRef

typedef struct FlutterDesktopEngine* FlutterDesktopEngineRef

Definition at line 33 of file flutter_windows.h.

## ◆ FlutterDesktopViewControllerRef

typedef struct FlutterDesktopViewControllerState* FlutterDesktopViewControllerRef

Definition at line 24 of file flutter_windows.h.

## ◆ FlutterDesktopViewRef

typedef struct FlutterDesktopView* FlutterDesktopViewRef

Definition at line 29 of file flutter_windows.h.

## ◆ FlutterDesktopWindowProcCallback

typedef bool(* FlutterDesktopWindowProcCallback) (HWND, UINT, WPARAM, LPARAM, void *, LRESULT *result)

Definition at line 238 of file flutter_windows.h.

## ◆ VoidCallback

typedef void(* VoidCallback) (void *)

Definition at line 21 of file flutter_windows.h.

## Function Documentation

## ◆ FlutterDesktopEngineCreate()

FLUTTER_EXPORT FlutterDesktopEngineRef FlutterDesktopEngineCreate | ( | const FlutterDesktopEngineProperties * | engine_properties | ) |

Definition at line 127 of file flutter_windows.cc.

128 {
129 flutter::FlutterProjectBundle project(*engine_properties);
130 auto engine = std::make_unique<flutter::FlutterWindowsEngine>(project);
131 return HandleForEngine(engine.release());
132 }

References HandleForEngine().

Referenced by flutter::FlutterEngine::FlutterEngine(), and flutter::testing::TEST().

## ◆ FlutterDesktopEngineDestroy()

FLUTTER_EXPORT bool FlutterDesktopEngineDestroy | ( | FlutterDesktopEngineRef | engine | ) |

Definition at line 134 of file flutter_windows.cc.

134 {
135 flutter::FlutterWindowsEngine* engine = EngineFromHandle(engine_ref);
136 bool result = true;
137 if (engine->running()) {
138 result = engine->Stop();
139 }
140 delete engine;
141 return result;
142 }

References EngineFromHandle(), flutter::FlutterWindowsEngine::running(), and flutter::FlutterWindowsEngine::Stop().

Referenced by flutter::FlutterEngine::ShutDown(), and flutter::testing::TEST().

## ◆ FlutterDesktopEngineGetMessenger()

FLUTTER_EXPORT FlutterDesktopMessengerRef FlutterDesktopEngineGetMessenger | ( | FlutterDesktopEngineRef | engine | ) |

Definition at line 172 of file flutter_windows.cc.

173 {
174 return EngineFromHandle(engine)->messenger();
175 }

References EngineFromHandle(), and flutter::FlutterWindowsEngine::messenger().

Referenced by flutter::FlutterEngine::FlutterEngine().

## ◆ FlutterDesktopEngineGetPluginRegistrar()

FLUTTER_EXPORT FlutterDesktopPluginRegistrarRef FlutterDesktopEngineGetPluginRegistrar | ( | FlutterDesktopEngineRef | engine,
|  | const char * | plugin_name
| ) |  |

Definition at line 162 of file flutter_windows.cc.

164 {
165 // Currently, one registrar acts as the registrar for all plugins, so the
166 // name is ignored. It is part of the API to reduce churn in the future when
167 // aligning more closely with the Flutter registrar system.
168
169 return EngineFromHandle(engine)->GetRegistrar();
170 }

References EngineFromHandle(), and flutter::FlutterWindowsEngine::GetRegistrar().

Referenced by flutter::FlutterEngine::GetRegistrarForPlugin().

## ◆ FlutterDesktopEngineGetTextureRegistrar()

FLUTTER_EXPORT FlutterDesktopTextureRegistrarRef FlutterDesktopEngineGetTextureRegistrar | ( | FlutterDesktopEngineRef | engine | ) |

Definition at line 177 of file flutter_windows.cc.

178 {
179 return HandleForTextureRegistrar(
180 EngineFromHandle(engine)->texture_registrar());
181 }

References EngineFromHandle(), and HandleForTextureRegistrar().

Referenced by flutter::testing::TEST().

## ◆ FlutterDesktopEngineProcessExternalWindowMessage()

FLUTTER_EXPORT bool FlutterDesktopEngineProcessExternalWindowMessage | ( | FlutterDesktopEngineRef | engine,
|  | HWND | hwnd,
|  | UINT | message,
|  | WPARAM | wparam,
|  | LPARAM | lparam,
|  | LRESULT * | result
| ) |  |

Definition at line 210 of file flutter_windows.cc.

216 {
217 std::optional<LRESULT> lresult =
218 EngineFromHandle(engine)->ProcessExternalWindowMessage(hwnd, message,
219 wparam, lparam);
220 if (result && lresult.has_value()) {
221 *result = lresult.value();
222 }
223 return lresult.has_value();
224 }

References EngineFromHandle(), message, and flutter::FlutterWindowsEngine::ProcessExternalWindowMessage().

Referenced by flutter::FlutterEngine::ProcessExternalWindowMessage().

## ◆ FlutterDesktopEngineProcessMessages()

FLUTTER_EXPORT uint64_t FlutterDesktopEngineProcessMessages | ( | FlutterDesktopEngineRef | engine | ) |

Definition at line 154 of file flutter_windows.cc.

154 {
155 return std::chrono::nanoseconds::max().count();
156 }

Referenced by flutter::FlutterEngine::ProcessMessages().

## ◆ FlutterDesktopEngineReloadSystemFonts()

FLUTTER_EXPORT void FlutterDesktopEngineReloadSystemFonts | ( | FlutterDesktopEngineRef | engine | ) |

Definition at line 158 of file flutter_windows.cc.

158 {
159 EngineFromHandle(engine)->ReloadSystemFonts();
160 }

References EngineFromHandle(), and flutter::FlutterWindowsEngine::ReloadSystemFonts().

Referenced by flutter::FlutterEngine::ReloadSystemFonts().

## ◆ FlutterDesktopEngineRun()

FLUTTER_EXPORT bool FlutterDesktopEngineRun | ( | FlutterDesktopEngineRef | engine,
|  | const char * | entry_point
| ) |  |

Definition at line 144 of file flutter_windows.cc.

145 {
146 std::string_view entry_point_view{""};
147 if (entry_point != nullptr) {
148 entry_point_view = entry_point;
149 }
150
151 return EngineFromHandle(engine)->Run(entry_point_view);
152 }

References EngineFromHandle(), and flutter::FlutterWindowsEngine::Run().

Referenced by flutter::FlutterEngine::Run(), and flutter::testing::TEST_F().

## ◆ FlutterDesktopEngineSetNextFrameCallback()

FLUTTER_EXPORT void FlutterDesktopEngineSetNextFrameCallback | ( | FlutterDesktopEngineRef | engine,
|  | VoidCallback | callback,
|  | void * | user_data
| ) |  |

Definition at line 183 of file flutter_windows.cc.

185 {
186 EngineFromHandle(engine)->SetNextFrameCallback(
187 [callback, user_data]() { callback(user_data); });
188 }

References callback, EngineFromHandle(), flutter::FlutterWindowsEngine::SetNextFrameCallback(), and user_data.

Referenced by flutter::FlutterEngine::SetNextFrameCallback(), and flutter::testing::TEST_F().

## ◆ FlutterDesktopGetDpiForHWND()

FLUTTER_EXPORT UINT FlutterDesktopGetDpiForHWND | ( | HWND | hwnd | ) |

Definition at line 246 of file flutter_windows.cc.

246 {
247 return flutter::GetDpiForHWND(hwnd);
248 }

References flutter::GetDpiForHWND().

## ◆ FlutterDesktopGetDpiForMonitor()

FLUTTER_EXPORT UINT FlutterDesktopGetDpiForMonitor | ( | HMONITOR | monitor | ) |

Definition at line 250 of file flutter_windows.cc.

250 {
251 return flutter::GetDpiForMonitor(monitor);
252 }

References flutter::GetDpiForMonitor().

## ◆ FlutterDesktopPluginRegistrarGetView()

FLUTTER_EXPORT FlutterDesktopViewRef FlutterDesktopPluginRegistrarGetView | ( | FlutterDesktopPluginRegistrarRef | registrar | ) |

Definition at line 226 of file flutter_windows.cc.

227 {
228 return HandleForView(registrar->engine->view());
229 }

References FlutterDesktopPluginRegistrar::engine, HandleForView(), and flutter::FlutterWindowsEngine::view().

Referenced by flutter::PluginRegistrarWindows::PluginRegistrarWindows().

## ◆ FlutterDesktopPluginRegistrarRegisterTopLevelWindowProcDelegate()

FLUTTER_EXPORT void FlutterDesktopPluginRegistrarRegisterTopLevelWindowProcDelegate | ( | FlutterDesktopPluginRegistrarRef | registrar,
|  | FlutterDesktopWindowProcCallback | delegate,
|  | void * | user_data
| ) |  |

Definition at line 231 of file flutter_windows.cc.

234 {
235 registrar->engine->window_proc_delegate_manager()
236 ->RegisterTopLevelWindowProcDelegate(delegate, user_data);
237 }

References FlutterDesktopPluginRegistrar::engine, flutter::WindowProcDelegateManager::RegisterTopLevelWindowProcDelegate(), user_data, and flutter::FlutterWindowsEngine::window_proc_delegate_manager().

Referenced by flutter::PluginRegistrarWindows::RegisterTopLevelWindowProcDelegate().

## ◆ FlutterDesktopPluginRegistrarUnregisterTopLevelWindowProcDelegate()

FLUTTER_EXPORT void FlutterDesktopPluginRegistrarUnregisterTopLevelWindowProcDelegate | ( | FlutterDesktopPluginRegistrarRef | registrar,
|  | FlutterDesktopWindowProcCallback | delegate
| ) |  |

Definition at line 239 of file flutter_windows.cc.

241 {
242 registrar->engine->window_proc_delegate_manager()
243 ->UnregisterTopLevelWindowProcDelegate(delegate);
244 }

References FlutterDesktopPluginRegistrar::engine, flutter::WindowProcDelegateManager::UnregisterTopLevelWindowProcDelegate(), and flutter::FlutterWindowsEngine::window_proc_delegate_manager().

Referenced by flutter::PluginRegistrarWindows::UnregisterTopLevelWindowProcDelegate().

## ◆ FlutterDesktopResyncOutputStreams()

FLUTTER_EXPORT void FlutterDesktopResyncOutputStreams | ( |  | ) |

Definition at line 254 of file flutter_windows.cc.

254 {
255 FILE* unused;
256 if (freopen_s(&unused, "CONOUT$", "w", stdout)) {
257 _dup2(_fileno(stdout), 1);
258 }
259 if (freopen_s(&unused, "CONOUT$", "w", stderr)) {
260 _dup2(_fileno(stdout), 2);
261 }
262 std::ios::sync_with_stdio();
263 }

## ◆ FlutterDesktopViewControllerCreate()

FLUTTER_EXPORT FlutterDesktopViewControllerRef FlutterDesktopViewControllerCreate | ( | int | width,
|  | int | height,
|  | FlutterDesktopEngineRef | engine
| ) |  |

Definition at line 64 of file flutter_windows.cc.

67 {
68 std::unique_ptr<flutter::WindowBindingHandler> window_wrapper =
69 std::make_unique<flutter::FlutterWindow>(width, height);
70
71 auto state = std::make_unique<FlutterDesktopViewControllerState>();
72 state->view =
73 std::make_unique<flutter::FlutterWindowsView>(std::move(window_wrapper));
74 // Take ownership of the engine, starting it if necessary.
75 state->view->SetEngine(
76 std::unique_ptr<flutter::FlutterWindowsEngine>(EngineFromHandle(engine)));
77 state->view->CreateRenderSurface();
78 if (!state->view->GetEngine()->running()) {
79 if (!state->view->GetEngine()->Run()) {
80 return nullptr;
81 }
82 }
83
84 // Must happen after engine is running.
85 state->view->SendInitialBounds();
86 state->view->SendInitialAccessibilityFeatures();
87 return state.release();
88 }

References EngineFromHandle().

Referenced by flutter::FlutterViewController::FlutterViewController().

## ◆ FlutterDesktopViewControllerDestroy()

FLUTTER_EXPORT void FlutterDesktopViewControllerDestroy | ( | FlutterDesktopViewControllerRef | controller | ) |

Definition at line 90 of file flutter_windows.cc.

91 {
92 delete controller;
93 }

Referenced by flutter::FlutterViewController::~FlutterViewController().

## ◆ FlutterDesktopViewControllerForceRedraw()

FLUTTER_EXPORT void FlutterDesktopViewControllerForceRedraw | ( | FlutterDesktopViewControllerRef | controller | ) |

Definition at line 105 of file flutter_windows.cc.

106 {
107 controller->view->ForceRedraw();
108 }

References FlutterDesktopViewControllerState::view.

Referenced by flutter::FlutterViewController::ForceRedraw().

## ◆ FlutterDesktopViewControllerGetEngine()

FLUTTER_EXPORT FlutterDesktopEngineRef FlutterDesktopViewControllerGetEngine | ( | FlutterDesktopViewControllerRef | controller | ) |

Definition at line 95 of file flutter_windows.cc.

96 {
97 return HandleForEngine(controller->view->GetEngine());
98 }

References HandleForEngine(), and FlutterDesktopViewControllerState::view.

Referenced by flutter::testing::TEST_F().

## ◆ FlutterDesktopViewControllerGetView()

FLUTTER_EXPORT FlutterDesktopViewRef FlutterDesktopViewControllerGetView | ( | FlutterDesktopViewControllerRef | controller | ) |

Definition at line 100 of file flutter_windows.cc.

101 {
102 return HandleForView(controller->view.get());
103 }

References HandleForView(), and FlutterDesktopViewControllerState::view.

Referenced by flutter::FlutterViewController::FlutterViewController(), and flutter::testing::TEST_F().

## ◆ FlutterDesktopViewControllerHandleTopLevelWindowProc()

FLUTTER_EXPORT bool FlutterDesktopViewControllerHandleTopLevelWindowProc | ( | FlutterDesktopViewControllerRef | controller,
|  | HWND | hwnd,
|  | UINT | message,
|  | WPARAM | wparam,
|  | LPARAM | lparam,
|  | LRESULT * | result
| ) |  |

Definition at line 110 of file flutter_windows.cc.

116 {
117 std::optional<LRESULT> delegate_result =
118 controller->view->GetEngine()
119 ->window_proc_delegate_manager()
120 ->OnTopLevelWindowProc(hwnd, message, wparam, lparam);
121 if (delegate_result) {
122 *result = *delegate_result;
123 }
124 return delegate_result.has_value();
125 }

References message, and FlutterDesktopViewControllerState::view.

Referenced by flutter::FlutterViewController::HandleTopLevelWindowProc().

## ◆ FlutterDesktopViewGetGraphicsAdapter()

FLUTTER_EXPORT IDXGIAdapter* FlutterDesktopViewGetGraphicsAdapter | ( | FlutterDesktopViewRef | view | ) |

Definition at line 194 of file flutter_windows.cc.

194 {
195 auto surface_manager = ViewFromHandle(view)->GetEngine()->surface_manager();
196 if (surface_manager) {
197 Microsoft::WRL::ComPtr<ID3D11Device> d3d_device;
198 Microsoft::WRL::ComPtr<IDXGIDevice> dxgi_device;
199 if (surface_manager->GetDevice(d3d_device.GetAddressOf()) &&
200 SUCCEEDED(d3d_device.As(&dxgi_device))) {
201 IDXGIAdapter* adapter;
202 if (SUCCEEDED(dxgi_device->GetAdapter(&adapter))) {
203 return adapter;
204 }
205 }
206 }
207 return nullptr;
208 }

References flutter::FlutterWindowsView::GetEngine(), flutter::FlutterWindowsEngine::surface_manager(), and ViewFromHandle().

Referenced by flutter::FlutterView::GetGraphicsAdapter(), and flutter::testing::TEST_F().

## ◆ FlutterDesktopViewGetHWND()

FLUTTER_EXPORT HWND FlutterDesktopViewGetHWND | ( | FlutterDesktopViewRef | view | ) |

Definition at line 190 of file flutter_windows.cc.

190 {
191 return ViewFromHandle(view)->GetPlatformWindow();
192 }

References flutter::FlutterWindowsView::GetPlatformWindow(), and ViewFromHandle().

Referenced by flutter::FlutterView::GetNativeWindow().

flutter::FlutterWindowsEngine::GetRegistrar
FlutterDesktopPluginRegistrarRef GetRegistrar()
Definition: flutter_windows_engine.cc:489
flutter::FlutterProjectBundle
Definition: flutter_project_bundle.h:21
HandleForView
static FlutterDesktopViewRef HandleForView(flutter::FlutterWindowsView *view)
Definition: flutter_windows.cc:48
HandleForTextureRegistrar
static FlutterDesktopTextureRegistrarRef HandleForTextureRegistrar(flutter::FlutterWindowsTextureRegistrar *registrar)
Definition: flutter_windows.cc:59
flutter::FlutterWindowsEngine::SetNextFrameCallback
void SetNextFrameCallback(fml::closure callback)
Definition: flutter_windows_engine.cc:584
flutter::GetDpiForMonitor
UINT GetDpiForMonitor(HMONITOR monitor)
Definition: dpi_utils.cc:134
user_data
void * user_data
Definition: flutter_windows_view_unittests.cc:47
flutter::FlutterWindowsEngine
Definition: flutter_windows_engine.h:78
flutter::FlutterWindowsEngine::window_proc_delegate_manager
WindowProcDelegateManager * window_proc_delegate_manager()
Definition: flutter_windows_engine.h:144
flutter::WindowProcDelegateManager::RegisterTopLevelWindowProcDelegate
void RegisterTopLevelWindowProcDelegate(FlutterDesktopWindowProcCallback delegate, void *user_data)
Definition: window_proc_delegate_manager.cc:14
flutter::GetDpiForHWND
UINT GetDpiForHWND(HWND hwnd)
Definition: dpi_utils.cc:130
EngineFromHandle
static flutter::FlutterWindowsEngine * EngineFromHandle(FlutterDesktopEngineRef ref)
Definition: flutter_windows.cc:31
flutter::FlutterWindowsEngine::Stop
virtual bool Stop()
Definition: flutter_windows_engine.cc:442
flutter::FlutterWindowsEngine::messenger
FlutterDesktopMessengerRef messenger()
Definition: flutter_windows_engine.h:128
flutter::FlutterWindowsEngine::ProcessExternalWindowMessage
std::optional< LRESULT > ProcessExternalWindowMessage(HWND hwnd, UINT message, WPARAM wparam, LPARAM lparam)
Definition: flutter_windows_engine.cc:814
flutter::WindowProcDelegateManager::UnregisterTopLevelWindowProcDelegate
void UnregisterTopLevelWindowProcDelegate(FlutterDesktopWindowProcCallback delegate)
Definition: window_proc_delegate_manager.cc:20
FlutterDesktopPluginRegistrar::engine
flutter::FlutterWindowsEngine * engine
Definition: window_state.h:33
flutter::FlutterWindowsEngine::surface_manager
AngleSurfaceManager * surface_manager()
Definition: flutter_windows_engine.h:142
HandleForEngine
static FlutterDesktopEngineRef HandleForEngine(flutter::FlutterWindowsEngine *engine)
Definition: flutter_windows.cc:37
ViewFromHandle
static flutter::FlutterWindowsView * ViewFromHandle(FlutterDesktopViewRef ref)
Definition: flutter_windows.cc:43
flutter::FlutterWindowsEngine::view
FlutterWindowsView * view()
Definition: flutter_windows_engine.h:115
flutter::FlutterWindowsEngine::running
bool running()
Definition: flutter_windows_engine.h:103
message
Win32Message message
Definition: keyboard_unittests.cc:137
FlutterDesktopViewControllerState::view
std::unique_ptr< flutter::FlutterWindowsView > view
Definition: window_state.h:26
flutter::FlutterWindowsView::GetPlatformWindow
virtual PlatformWindow GetPlatformWindow() const
Definition: flutter_windows_view.cc:626
flutter::FlutterWindowsEngine::Run
bool Run()
Definition: flutter_windows_engine.cc:246
flutter::FlutterWindowsView::GetEngine
FlutterWindowsEngine * GetEngine()
Definition: flutter_windows_view.cc:630
flutter::FlutterWindowsEngine::ReloadSystemFonts
void ReloadSystemFonts()
Definition: flutter_windows_engine.cc:576
callback
FlutterDesktopBinaryReply callback
Definition: flutter_windows_view_unittests.cc:46